﻿//  --------------------------------
//  Copyright (c) PK Logix LLC. All rights reserved.
//  This source code is made available under the terms of the GNU General Public License version 2 (GPLv2)
//  http://www.codeplex.com/mvcclubsite/license
//  ---------------------------------

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MVCClubSite.Model;

namespace MVCClubSite.IDAL
{
    /// <summary>
    /// Interface for Links DAL
    /// </summary>
    public interface ILinks
    {
        /// <summary>
        /// Method to get links
        /// </summary>
        /// <returns>List of Links</returns>
        IQueryable<Link> GetLinks();

        /// <summary>
        /// Method to get a link by ID
        /// </summary>
        /// <param name="id">ID of the link</param>
        /// <returns>Link business entity</returns>
        Link GetLinkByID(int id);

        /// <summary>
        /// Method to insert or update a link
        /// </summary>
        /// <param name="link">Link business entity</param>
        void Save(Link link);

        /// <summary>
        /// Method to delete a link
        /// </summary>
        /// <param name="id">ID of the link to delete</param>
        void Delete(int id);
    }
}
