﻿//  --------------------------------
//  Copyright (c) PK Logix LLC. All rights reserved.
//  This source code is made available under the terms of the GNU General Public License version 2 (GPLv2)
//  http://www.codeplex.com/mvcclubsite/license
//  ---------------------------------

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MVCClubSite.Model;

namespace MVCClubSite.IDAL
{
    /// <summary>
    /// Interface for Locations DAL
    /// </summary>
    public interface ILocations
    {
        /// <summary>
        /// Method to get locations
        /// </summary>
        /// <returns></returns>
        IQueryable<Location> GetLocations();

        /// <summary>
        /// Method to get a location by ID
        /// </summary>
        /// <param name="id">ID of the location</param>
        /// <returns>Location business entity</returns>
        Location GetLocationByID(int id);

        /// <summary>
        /// Method to insert or update a location
        /// </summary>
        /// <param name="location">Location to insert or update</param>
        void Save(Location location);

        /// <summary>
        /// Method to delete a location
        /// </summary>
        /// <param name="id">ID of the location</param>
        void Delete(int id);
    }
}
